﻿package object3ds.flashGUI 
{
	import adobe.utils.CustomActions;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import fl.controls.Button;
	import fl.controls.Label;
	
	/*【課題】下記の3つのクラスをDisplayObject3Dに統一する*/
	import org.papervision3d.objects.parsers.DAE;
	import org.papervision3d.objects.DisplayObject3D;
	import object3ds.factoryObject3d.FactoryObject3d;
	
	import caurina.transitions.Tweener; 
	
	/**
	 * ...
	 * @author hagiwara
	 */
	public class AnimeConPane extends conPaneS
	{
		private var object3D:DAE;
		private var controllObjects:Array;
		
		private var VF25:int = 1 ; //1=ファイター, 2=ガォーク、 3=バトロイド,0=変形中
		
		private var sec30:Number = 3;
		private var sec20:Number = 2;
		private var sec15:Number = 1.5;
		private var sec12:Number = 1.2;
		private var sec10:Number = 1;
		private var sec05:Number = 0.5;
		private var sec04:Number = 0.4;
		private var sec03:Number = 0.3;
		private var sec02:Number = 0.2;
		private var sec01:Number = 0.1;
		
		public function AnimeConPane(object3d:FactoryObject3d,controllObjects:Array = null) 
		{
			this.object3D = object3d;
			this.controllObjects = controllObjects;
			
			//アニメーションのコントロールパネル
			super();
			this.x = 390
			this.y = 10;
			
			var conpaneLabel:Label = new Label();
			conpaneLabel.htmlText = '<font color="#ffffff" size="12px">アニメーション操作</font>';
			conpaneLabel.x = 35;
			conpaneLabel.y = 5;
			this.addChild(conpaneLabel);
			
			//ボタン
			var anime1Button:Button = new Button();
			anime1Button.label = "ファイター";
			anime1Button.x = 35;
			anime1Button.y = 35;
			anime1Button.addEventListener(MouseEvent.CLICK,anime1ButtonClick, false, 0, true);
			this.addChild(anime1Button);
			
			var anime2Button:Button = new Button();
			anime2Button.label = "ガウォーク";
			anime2Button.x = 35;
			anime2Button.y = 65;
			anime2Button.addEventListener(MouseEvent.CLICK,anime2ButtonClick, false, 0, true);
			this.addChild(anime2Button);
			
			var anime3Button:Button = new Button();
			anime3Button.label = "バトロイド";
			anime3Button.x = 35;
			anime3Button.y = 95;
			anime3Button.addEventListener(MouseEvent.CLICK,anime3ButtonClick, false, 0, true);
			this.addChild(anime3Button);
			
			var anime4Button:Button = new Button();
			anime4Button.label = "リセット";
			anime4Button.x = 35;
			anime4Button.y = 125;
			anime4Button.addEventListener(MouseEvent.CLICK,anime4ButtonClick, false, 0, true);
			this.addChild(anime4Button);
			
			floatingFighter();
		}
		
		//anime1Button:ファイター
		private function anime1ButtonClick(event:Event):void
		{			
			if (VF25 == 0) {
				//変形中は何もしない。
			}else if (VF25 == 1) {
				rotationFighter();
			}else {
				changeFighter();	
			}
		}
		
		//anime2Button:ガウォーク
		private function anime2ButtonClick(event:Event):void
		{	
			if (VF25 == 0) {
				//変形中は何もしない。
			}else if(VF25 == 2) {
				rotationGerWalk();
			}else {
				changeGerWalk();	
			}
		}
		
		//anime3Button:バトロイド
		private function anime3ButtonClick(event:Event):void
		{
			if (VF25 == 0) {
				//変形中は何もしない。
			}else if(VF25 == 3) {
				rotationBattoloid();
			}else {
				changeBattroid();
			}
		}
		
		//リセット
		private function anime4ButtonClick(event:Event):void
		{
			Tweener.removeAllTweens();
			Tweener.addTween(controllObjects['VF25'], {x:0,y:0,z:0,rotationX:0,rotationY:0,rotationZ:0, localRotationX:0, localRotationY:0, localRotationZ:0, time :0.5 } );
		}
		
		/*************************************************************/
		/**************************アニメーション**************************/
		/*************************************************************/
		
		private function changeFighter():void
		{
			this.VF25 = 0 ;
			Tweener.removeAllTweens();
			
			Tweener.addTween(controllObjects['VF25'], {x:0, y:0, z:0, time:sec05 } ) ;
			
			//ファイターbody
			Tweener.addTween(controllObjects['chest'], {z:-49, rotationX:0,rotationZ:0, time:sec05,onComplete:floatingFighter} ) ;
			Tweener.addTween(controllObjects['back'], {y:-35,z:74, rotationX:0,time:sec05} ) ;
			Tweener.addTween(controllObjects['leftSide'], {rotationX:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['cockpit'], {rotationX:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['nose'], {rotationX:0, delay:sec02,time:sec03 } );
			Tweener.addTween(controllObjects['waist'], {rotationX:-5, time:sec05 } ) ;
			
			//ファイターhead
			Tweener.addTween(controllObjects['neck'], {y:-15, z:59, rotationY:5, time:sec05 } ) ;
			Tweener.addTween(controllObjects['head'], {x:-21, y:4, rotationY:-90, time:sec05 } ) ;
			Tweener.addTween(controllObjects['leftAntenna'], {rotationX:0, time:sec05 } ) ;
			
			//ファイターleftWing
			Tweener.addTween(controllObjects['leftWing1'], {rotationY:0, time:sec05 } ) ; 
			Tweener.addTween(controllObjects['leftWing2'], {rotationZ:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['leftWing4'], {rotationZ:0, time:sec05 } ) ;
			
			//ファイターrightWing
			Tweener.addTween(controllObjects['rightWing1'], {rotationY:0, time:sec05 } ) ; 
			Tweener.addTween(controllObjects['rightWing2'], {rotationZ:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['rightWing4'], {rotationZ:0, time:sec05 } ) ;
			
			//ファイターLeftArm
			Tweener.addTween(controllObjects['innerLeftShoulder'], {rotationX:-65, time:sec05 } );
			Tweener.addTween(controllObjects['middleLeftShoulder'], {x:-15, y:-58, z:-4, rotationY:0 , rotationZ:0,time:sec05 } );
			Tweener.addTween(controllObjects['outerLeftShoulder'], {x:34, y:-2, z:-38, rotationX:0, rotationY:0, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftArm'], {y:-64, rotationX:0, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftPalm'], {x:0,rotationY:0, time:sec05 } );
			Tweener.addTween(controllObjects['tail'], { x:15, y: -97, z:32, rotationY:0, time:sec02, delay:sec03} );
			
			//ファイターrightArm
			Tweener.addTween(controllObjects['innerRightShoulder'], {rotationX:-65, time:sec05 } );
			Tweener.addTween(controllObjects['middleRightShoulder'], {x:-15, y:-58, z:-4, rotationY:0, rotationZ:0,time:sec05 } );
			Tweener.addTween(controllObjects['outerRightShoulder'], { x:35, y:-2, z:-38, rotationX:0, rotationY:0, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightArm'], {y:-64, rotationX:0, rotationY:0, time:sec05 } );
			//Tweener.addTween(controllObjects['rightPalm'], {x:-0,rotationY:0, time:sec05 } );
			Tweener.addTween(controllObjects['rifle'], {x:-13, y:-13, z:-95, rotationX:-90, rotationY:0, rotationZ:180, time:sec05 } );
			controllObjects['rightPalm2'].visible = false;
			controllObjects['rightPalm'].visible = true;
			
			//ファイターleftLeg
			Tweener.addTween(controllObjects['leftThigh'], {y:-5, rotationX:-90, rotationY:0, rotationZ:180, time:sec05 } );
			Tweener.addTween(controllObjects['leftPetticoat'], {rotationX:180, rotationY:0, rotationZ:-180, time:sec05 } );
			Tweener.addTween(controllObjects['leftHamstring'], {y:-52, z:-5 , rotationX:180,time:sec05 } );
			Tweener.addTween(controllObjects['leftShin'], {rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftKnee'], {y:2, rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftToe'], { y:-201, rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftHeel'], {y:-203, rotationX:180, time:sec05} );
			controllObjects['leftLegWing'].visible = true;
			
			//ファイターrightLeg
			Tweener.addTween(controllObjects['rightThigh'], {y:-5, rotationX:-90, rotationY:0, rotationZ:-180, time:sec05 } );
			Tweener.addTween(controllObjects['rightPetticoat'], {rotationX:180 ,rotationY:0, rotationZ:-180, time:sec05 } );
			Tweener.addTween(controllObjects['rightHamstring'], {y:-52, z:-5 , rotationX:180, time:sec05 } );
			Tweener.addTween(controllObjects['rightShin'], {rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightKnee'], {y:2, rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightToe'], {y:-201, rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightHeel'], {y:-203, rotationX:180, time:sec05} );
			controllObjects['rightLegWing'].visible = true;
			
		}
		
		private function rotationFighter():void
		{	
			var angleZ:int = controllObjects['VF25'].localRotationZ;
			
			if (controllObjects['VF25'].localRotationZ < 180) {
				angleZ = angleZ + 360;
				Tweener.addTween(controllObjects['VF25'], {localRotationZ:angleZ, time:sec12,transition:"easeOutCubic",onComplete:floatingFighter} ) ;
			}else {
				angleZ = angleZ - 360;
				Tweener.addTween(controllObjects['VF25'], {localRotationZ:angleZ, time:sec12,transition:"easeOutCubic",onComplete:floatingFighter} ) ;
			}
				
		}
		
		private function floatingFighter():void
		{
			
			this.VF25 = 1 ;
			
			floatingX1();
			floatingY1();
			floatingZ1();
			floatingRotationX1();
			floatingRotationY1();
			
			//ファイター上下回転
			function floatingRotationX1():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationX:-1, time:sec30, transition:"easeOutSine",onComplete:floatingRotationX2 } ) ;
			}
			function floatingRotationX2():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationX:1, time:sec15, transition:"easeOutSine",onComplete:floatingRotationX1 } ) ;
			}
			
			//ファイター左右回転
			function floatingRotationY1():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationY:2, time:sec15, transition:"easeOutSine",onComplete:floatingRotationY2 } ) ;
			}
			function floatingRotationY2():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationY:-2, time:sec15, transition:"easeOutSine",onComplete:floatingRotationY1 } ) ;
			}			
			
			//ファイター左右移動
			function floatingX1():void
			{
				Tweener.addTween(controllObjects['VF25'], { x:2, time:sec15, transition:"easeOutSine",onComplete:floatingX2 } ) ;
			}
			function floatingX2():void
			{
				Tweener.addTween(controllObjects['VF25'], { x:-2, time:sec15, transition:"easeOutSine",onComplete:floatingX1 } ) ;
			}
			
			//ファイター上下移動
			function floatingY1():void
			{
				Tweener.addTween(controllObjects['VF25'], { y:5, time:sec30, transition:"linear",onComplete:floatingY2 } ) ;
			}
			function floatingY2():void
			{
				Tweener.addTween(controllObjects['VF25'], { y:-3, time:sec15, transition:"linear",onComplete:floatingY1 } ) ;
			}
			
			//ファイター前後移動
			function floatingZ1():void
			{
				Tweener.addTween(controllObjects['VF25'], { z:2, time:sec30, transition:"easeOutSine",onComplete:floatingZ2 } ) ;
			}
			function floatingZ2():void
			{
				Tweener.addTween(controllObjects['VF25'], { z:-2, time:sec15, transition:"easeOutSine",onComplete:floatingZ1 } ) ;
			}			
		}
		
		private function changeGerWalk():void
		{
			this.VF25 = 0 ;
			Tweener.removeAllTweens();
			
			Tweener.addTween(controllObjects['VF25'], {x:0, y:0, z:0, time:sec05 } ) ;
			
			//ガウォークbody
			Tweener.addTween(controllObjects['chest'], {z:-49, rotationX:-10, rotationZ:0, time:sec05,onComplete:floatingGerWalk} ) ;
			Tweener.addTween(controllObjects['back'], {y:-35,z:74, rotationX:0, time:sec05} ) ;
			Tweener.addTween(controllObjects['leftSide'], {rotationX:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['cockpit'], {rotationX:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['nose'], {rotationX:0, delay:sec02,time:sec03 } );
			Tweener.addTween(controllObjects['waist'], {rotationX:-5, time:sec05 } ) ;
			
			//ガウォークhead
			Tweener.addTween(controllObjects['neck'], {y:-15, z:59, rotationY:5, time:sec05 } ) ;
			Tweener.addTween(controllObjects['head'], {x:-21, y:4, rotationY:-90, time:sec05 } ) ;
			Tweener.addTween(controllObjects['leftAntenna'], {rotationX:0,time:sec05 } ) ;
			
			//ガウォークleftwing
			Tweener.addTween(controllObjects['leftWing1'], {rotationY:0, time:sec05 } ) ; 
			Tweener.addTween(controllObjects['leftWing2'], {rotationZ:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['leftWing4'], {rotationZ:0, time:sec05 } ) ;
			
			//ガウォークrightWing
			Tweener.addTween(controllObjects['rightWing1'], {rotationY:0, time:sec05 } ) ; 
			Tweener.addTween(controllObjects['rightWing2'], {rotationZ:0, time:sec05 } ) ;
			Tweener.addTween(controllObjects['rightWing4'], {rotationZ:0, time:sec05 } ) ;
			
			//ガウォークleftArm
			Tweener.addTween(controllObjects['innerLeftShoulder'], {rotationX:-65, time:sec05 } );
			Tweener.addTween(controllObjects['middleLeftShoulder'], {x:-40,y:-20,z:5,rotationY:-30, rotationZ:-180,time:sec05 } );
			Tweener.addTween(controllObjects['outerLeftShoulder'], {x:30, y:10, z:-15, rotationX:90,rotationY:0, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftArm'], {rotationX: -90, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['tail'], {x:20, y: -30, z:0, rotationY:90, time:sec02 } );
			Tweener.addTween(controllObjects['leftPalm'], {x:-5,rotationY: -90, time:sec05 } );
			
			//ガウォークrightArm
			Tweener.addTween(controllObjects['innerRightShoulder'], {rotationX:-65, time:sec05 } );
			Tweener.addTween(controllObjects['middleRightShoulder'], {x:-40,y:-20,z:5,rotationY:-30,rotationZ:-180,time:sec05 } );
			Tweener.addTween(controllObjects['outerRightShoulder'], {x:30, y:10, z:-15, rotationX:90,rotationY:0, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightArm'], {rotationX: -90, rotationY:0,time:sec05 } );
			Tweener.addTween(controllObjects['rightPalm2'], {rotationY: -90, time:sec05 } );
			Tweener.addTween(controllObjects['rifle'], {x:3, y:-10, z:-5, rotationX:-90, rotationY:173, rotationZ:0, time:sec05 } );
			controllObjects['rightPalm2'].visible = true;
			controllObjects['rightPalm'].visible = false;
			
			//ガウォークleftLeg
			Tweener.addTween(controllObjects['leftThigh'], {y:-5, rotationX:-90, rotationY:15, rotationZ:160, time:sec05 } );
			Tweener.addTween(controllObjects['leftPetticoat'], {rotationX:250,rotationY:-15,rotationZ:-165, time:sec05 } );
			Tweener.addTween(controllObjects['leftHamstring'], {y:-80,z:2, rotationX:220, time:sec05 } );
			Tweener.addTween(controllObjects['leftShin'], {rotationX:90, time:sec05 } );
			Tweener.addTween(controllObjects['leftKnee'], {y:-15, rotationX:-110, time:sec05 } );
			Tweener.addTween(controllObjects['leftToe'], {y:-208, rotationX:40, time:sec05 } );
			Tweener.addTween(controllObjects['leftHeel'], { y: -225, rotationX: -120, time:sec05 } );
			controllObjects['leftLegWing'].visible = false;
			
			//ガウォークrightLeg
			Tweener.addTween(controllObjects['rightThigh'], {y:-5, rotationX:-90 ,rotationY:15, rotationZ:-200, time:sec05 } );			Tweener.addTween(controllObjects['rightPetticoat'], { rotationX:220, time:sec05 } );
			Tweener.addTween(controllObjects['rightPetticoat'], {rotationX:250,rotationY:-10,rotationZ:-165, time:sec05 } );
			Tweener.addTween(controllObjects['rightHamstring'], {y:-80,z:2, rotationX:220,time:sec05 } );
			Tweener.addTween(controllObjects['rightShin'], {rotationX:90,time:sec05 } );
			Tweener.addTween(controllObjects['rightKnee'], {y:-15, rotationX:-110, time:sec05 } );
			Tweener.addTween(controllObjects['rightToe'], {y:-208, rotationX:40, time:sec05 } );
			Tweener.addTween(controllObjects['rightHeel'], {y:-225, rotationX: -120, time:sec05 } );
			controllObjects['rightLegWing'].visible = false;
			
		}
		
		
		private function rotationGerWalk():void
		{	
			var angleZ:int = controllObjects['VF25'].localRotationZ;
			if (controllObjects['VF25'].localRotationZ < 180) {
				angleZ = angleZ + 360;
				Tweener.addTween(controllObjects['VF25'], {localRotationZ:angleZ, time:sec15,transition:"easeOutCubic",onComplete:floatingGerWalk} ) ;
			}else {
				angleZ = angleZ - 360;
				Tweener.addTween(controllObjects['VF25'], {localRotationZ:angleZ, time:sec15,transition:"easeOutCubic",onComplete:floatingGerWalk} ) ;
			}
		}
		
		
		private function floatingGerWalk():void
		{
			this.VF25 = 2 ;
			
			floatingX1();
			floatingY1();
			floatingZ1();
			floatingRotationX1();
			floatingRotationY1();
			
			//ガウォーク上下向き回転
			function floatingRotationX1():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationX: -9, time:sec30, transition:"linear", onComplete:floatingRotationX2 } ) ;
			}
			function floatingRotationX2():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationX: -11, time:sec15, transition:"linear", onComplete:floatingRotationX1 } ) ;
			}
			
			//ガウォーク左右回転
			function floatingRotationY1():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationY:2, time:sec15, transition:"linear",onComplete:floatingRotationY2 } ) ;
			}
			function floatingRotationY2():void
			{
				Tweener.addTween(controllObjects['chest'], { rotationY:-2, time:sec15, transition:"linear",onComplete:floatingRotationY1 } ) ;
			}			
			
			//ガォーク左右移動
			function floatingX1():void
			{
				Tweener.addTween(controllObjects['VF25'], { x:3, time:sec15, transition:"linear", onComplete:floatingX2 } ) ;
			}
			
			function floatingX2():void
			{
				Tweener.addTween(controllObjects['VF25'], { x:-3, time:sec15, transition:"linear",onComplete:floatingX1 } ) ;
			}
			
			//ガウォーク上下移動
			function floatingY1():void
			{
				Tweener.addTween(controllObjects['VF25'], {y:8, time:sec30, transition:"easeOutBack",onComplete:floatingY2 } ) ;
				Tweener.addTween(controllObjects['leftHamstring'], {rotationX:225, time:sec15, transition:"easeOutSine" } );
				Tweener.addTween(controllObjects['rightHamstring'], {rotationX:225, time:sec20, transition:"easeOutSine"} );
				Tweener.addTween(controllObjects['leftToe'], {rotationX:60, time:sec15,transition:"easeOutBack"  } );
				Tweener.addTween(controllObjects['leftHeel'], {rotationX: -100, time:sec15,transition:"easeOutBack" } );
				Tweener.addTween(controllObjects['rightToe'], {rotationX:60,time:sec15,transition:"easeOutBack" } );
				Tweener.addTween(controllObjects['rightHeel'], {rotationX:-100, time:sec15,transition:"easeOutBack" } );
			}
			function floatingY2():void
			{
				Tweener.addTween(controllObjects['VF25'], {y:-8, time:sec15, transition:"easeOutSine",onComplete:floatingY1 } ) ;
				Tweener.addTween(controllObjects['leftHamstring'], {rotationX:215, time:sec15,transition:"easeOutSine"  } );
				Tweener.addTween(controllObjects['leftToe'], {rotationX:20, time:sec10,transition:"easeOutSine" } );
				Tweener.addTween(controllObjects['leftHeel'], {rotationX: -140, time:sec10,transition:"easeOutSine" } );
				Tweener.addTween(controllObjects['rightHamstring'], {rotationX:215, time:sec15,transition:"easeOutSine" } );
				Tweener.addTween(controllObjects['rightToe'], {rotationX:20, time:sec10,transition:"easeOutSine" } );
				Tweener.addTween(controllObjects['rightHeel'], {rotationX:-140, time:sec10,transition:"easeOutSine" } );
			}
			
			//ガウォーク前後移動
			function floatingZ1():void
			{
				Tweener.addTween(controllObjects['VF25'], { z:20, time:sec30, transition:"linear",onComplete:floatingZ2 } ) ;
			}
			function floatingZ2():void
			{
				Tweener.addTween(controllObjects['VF25'], { z:-20, time:sec15, transition:"linear",onComplete:floatingZ1 } ) ;
			}			
		}//floatingGawalk
		
		//バトロイドへの変形
		private function changeBattroid():void
		{
			this.VF25 = 0 ;
			Tweener.removeAllTweens();
			
			Tweener.addTween(controllObjects['VF25'], {x:0, y:0, z:0, time:sec05 } ) ;
			
			//バトロイドｂody
			Tweener.addTween(controllObjects['chest'], {z:100, rotationX:-45,rotationZ:0, time:sec05,onComplete:completeBattoloid} ) ;
			Tweener.addTween(controllObjects['back'], {y:-45, z:22, rotationX:120, time:sec05} ) ;
			Tweener.addTween(controllObjects['leftSide'], {rotationX:-50, time:sec05 } ) ;
			Tweener.addTween(controllObjects['cockpit'], {rotationX:200, time:sec05 }) ;
			Tweener.addTween(controllObjects['nose'], {rotationX:-190, time:sec03 } ) ;
			Tweener.addTween(controllObjects['waist'], {rotationX:180, time:sec05 }) ;
			
			//バトロイドhead
			Tweener.addTween(controllObjects['neck'], {y:-10, z:65, rotationY:45, time:sec05 } ) ;
			Tweener.addTween(controllObjects['head'], {x:6, y:8, rotationY:-90, time:sec05 } ) ;
			Tweener.addTween(controllObjects['leftAntenna'], {rotationX:45, time:sec05 } ) ;
			
			//バトロイドleftwing 
			Tweener.addTween(controllObjects['leftWing1'], {rotationY:75, time:sec05 } ) ; 
			Tweener.addTween(controllObjects['leftWing2'], {rotationZ:40, time:sec05 } ) ;
			Tweener.addTween(controllObjects['leftWing4'], {rotationZ:-40, time:sec05 } ) ;
			
			//バトロイドrightWing 
			Tweener.addTween(controllObjects['rightWing1'], {rotationY:75, time:sec05 } ) ; 
			Tweener.addTween(controllObjects['rightWing2'], {rotationZ:40, time:sec05 } ) ;
			Tweener.addTween(controllObjects['rightWing4'], {rotationZ:-40, time:sec05 } ) ;
			
			//バトロイドleftArm
			Tweener.addTween(controllObjects['innerLeftShoulder'], {rotationX:-20, time:sec05 } );
			Tweener.addTween(controllObjects['middleLeftShoulder'], {x:-40,y:-20,z:0,rotationY:-10, rotationZ:-180,time:sec05 } );
			Tweener.addTween(controllObjects['outerLeftShoulder'], {x:30, y:15, z:-15, rotationX:100,rotationY:0, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftArm'], {y:-74, rotationX:-30, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftPalm'], {x:-5,rotationY: -90, time:sec05 } );
			Tweener.addTween(controllObjects['tail'], { x:20, y: -30, z:0, rotationY:90, time:sec02 } );
			
			//バトロイドrightArm
			Tweener.addTween(controllObjects['innerRightShoulder'], {rotationX:-20, time:sec05 } );
			Tweener.addTween(controllObjects['middleRightShoulder'], {x:-40,y:-20,z:0,rotationY:-10,rotationZ:-180,time:sec05 } );
			Tweener.addTween(controllObjects['outerRightShoulder'], {x:30, y:15, z:-15, rotationX:100,rotationY:0, rotationZ:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightArm'], {y:-74, rotationX:-30, rotationY:0,time:sec05 } );
			Tweener.addTween(controllObjects['rightPalm2'], { x: -5, rotationY: -90, time:sec05 } );
			Tweener.addTween(controllObjects['rifle'], {x:3, y:-10, z:-5, rotationX:-90, rotationY:170, rotationZ:0, time:sec05 } );
			controllObjects['rightPalm2'].visible = true;
			controllObjects['rightPalm'].visible = false;
			
			//バトロイドleftLeg
			Tweener.addTween(controllObjects['leftThigh'], {y:10, rotationX:115,rotationY:-10,rotationZ:190, time:sec05 } );
			Tweener.addTween(controllObjects['leftPetticoat'], {rotationX:180,rotationY:60,rotationZ:-160, time:sec05 } );
			Tweener.addTween(controllObjects['leftHamstring'], {y:-52, z:-5 , rotationX:180,time:sec05 } );
			Tweener.addTween(controllObjects['leftShin'], {rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftKnee'], {y:2, rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['leftToe'], {y:-208, rotationX:55, time:sec05 } );
			Tweener.addTween(controllObjects['leftHeel'], {y:-225, rotationX: -150, time:sec05 } );
			controllObjects['leftLegWing'].visible = false;
			
			//バトロイドrightLeg
			Tweener.addTween(controllObjects['rightThigh'], {y:10, rotationX:115,rotationY:-10,rotationZ:-170, time:sec05} );
			Tweener.addTween(controllObjects['rightPetticoat'], {rotationX:180,rotationY:60,rotationZ:-160, time:sec05 } );
			Tweener.addTween(controllObjects['rightHamstring'], {y:-52, z:-5 , rotationX:180, time:sec05 } );
			Tweener.addTween(controllObjects['rightShin'], {rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightKnee'], {y:2, rotationX:0, time:sec05 } );
			Tweener.addTween(controllObjects['rightToe'], {y:-208, rotationX:55, time:sec05 } );
			Tweener.addTween(controllObjects['rightHeel'], {y:-225, rotationX: -150, time:sec05 } );
			controllObjects['rightLegWing'].visible = false;
			
		}//changeBattoloid()
		
		private function completeBattoloid():void
		{
			this.VF25 = 3 ;
		}
		
		private function rotationBattoloid():void
		{			
			var angleY:int = controllObjects['VF25'].localRotationY;
			if (controllObjects['VF25'].localRotationY < 180) {
				angleY = angleY + 360;
				Tweener.addTween(controllObjects['VF25'], {localRotationY:angleY, time:sec20,transition:"easeOutCubic"} ) ;
				
				Tweener.addTween(controllObjects['chest'], {rotationZ:-45, time:sec05,onComplete:completeBattoloid} ) ;
				Tweener.addTween(controllObjects['head'], {rotationY:-75, time:sec05 } ) ;
				
				Tweener.addTween(controllObjects['outerLeftShoulder'], {x:30, y:0, z:-15,rotationX:35,rotationZ:-20, time:sec05 } );
				Tweener.addTween(controllObjects['leftArm'], { rotationX: -35, rotationZ:-40, time:sec03 } );
				Tweener.addTween(controllObjects['leftPalm'], {x:0,rotationY:-20, time:sec05 } );
				
				Tweener.addTween(controllObjects['outerRightShoulder'], {rotationX:110, time:sec05 } );
				Tweener.addTween(controllObjects['rightArm'], { rotationX: -120, rotationY:-28,time:sec05 } );
				
				
				Tweener.addTween(controllObjects['leftThigh'], {rotationX:90,time:sec05 } );
				Tweener.addTween(controllObjects['leftShin'], {rotationX:-20, time:sec05 } );
				
				Tweener.addTween(controllObjects['rightThigh'], {rotationX:130, rotationY:-30,rotationZ: -170, time:sec05 } );
				
			}else {
				angleY = angleY - 360;
				Tweener.addTween(controllObjects['VF25'], {localRotationY:angleY, time:sec20,transition:"easeOutCubic",onComplete:changeBattroid} ) ;
				Tweener.addTween(controllObjects['chest'], {rotationZ:0, time:sec05});
			}
		}//rotationBattoloid()
		
			
	}//class

}//package